std::error_code Struct Reference

`#include <system_error>`

## Public Member Functions

template<typename _ErrorCodeEnum , typename = typename enable_if<is_error_code_enum<_ErrorCodeEnum>::value>::type>
| error_code (_ErrorCodeEnum __e) noexcept
| error_code (int __v, const error_category &__cat) noexcept
void | assign (int __v, const error_category &__cat) noexcept
const error_category & | category () const noexcept
void | clear () noexcept
error_condition | default_error_condition () const noexcept
_GLIBCXX_DEFAULT_ABI_TAG string | message () const
| operator bool () const noexcept
template<typename _ErrorCodeEnum >
enable_if< is_error_code_enum< _ErrorCodeEnum >::value, error_code & >::type | operator= (_ErrorCodeEnum __e) noexcept
int | value () const noexcept

## Friends

class | hash< error_code >

## Detailed Description

error_code

Definition at line 146 of file system_error.

## Constructor & Destructor Documentation

## error_code() [1/3]

std::error_code::error_code | ( |  | ) |

inline noexcept

Definition at line 148 of file system_error.

## error_code() [2/3]

std::error_code::error_code | ( | int | __v,
|  | const error_category & | __cat
| ) |  |

inline noexcept

Definition at line 151 of file system_error.

## error_code() [3/3]

template<typename _ErrorCodeEnum , typename = typename enable_if<is_error_code_enum<_ErrorCodeEnum>::value>::type>

std::error_code::error_code | ( | _ErrorCodeEnum | __e | ) |

inline noexcept

Definition at line 156 of file system_error.

## Member Function Documentation

## assign()

void std::error_code::assign | ( | int | __v,
|  | const error_category & | __cat
| ) |  |

inline noexcept

Definition at line 160 of file system_error.

## category()

const error_category & std::error_code::category | ( |  | ) | const

inline noexcept

Definition at line 181 of file system_error.

## clear()

void std::error_code::clear | ( |  | ) |

inline noexcept

Definition at line 167 of file system_error.

## message()

_GLIBCXX_DEFAULT_ABI_TAG string std::error_code::message | ( |  | ) | const

inline

Definition at line 188 of file system_error.

## operator bool()

std::error_code::operator bool | ( |  | ) | const

inline explicit noexcept

Definition at line 191 of file system_error.

## operator=()

template<typename _ErrorCodeEnum >

enable_if< is_error_code_enum< _ErrorCodeEnum >::value, error_code & >::type std::error_code::operator= | ( | _ErrorCodeEnum | __e | ) |

inline noexcept

Definition at line 174 of file system_error.

## value()

int std::error_code::value | ( |  | ) | const

inline noexcept

Definition at line 178 of file system_error.

## Friends And Related Symbol Documentation

## hash< error_code >

friend class hash< error_code >

friend

Definition at line 191 of file system_error.

The documentation for this struct was generated from the following file:

- system_error